const db = require('../models');
const Item = db.items;
const License = db.licenses;
const { Op } = require('sequelize');

// GET - /search
exports.getSearch = async function(req, res) {
  // decode URL search query
  let query = req.params.query;

  // fetch inventory items from database based on search query
  const results = await Item.findAll({
    where: {
      name: {
        [Op.like]: query,
      }
    },
    limit: 10,
    order: [
      ['updatedAt', 'DESC'],
    ],
  });

  res.render('search.twig', {
    query: query,
    results: results,
  });
};
